Skip to content

FinrepService⁠

Manage Current Transaction Report (CTR) records.

Operations⁠

getCtrPersonPagedListSelectFields⁠

POST

Retrieves a paged list of individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonPagedSelectFields⁠

POST

Searches individuals involved in CTRs with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrPersonPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfo⁠

POST

Retrieves CTR transaction information for individuals.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfo
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfo HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoSelectFields⁠

POST

Retrieves CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoPagedList⁠

POST

Retrieves a paged list of CTR transaction information for individuals.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPagedList
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoListSelectFields⁠

POST

Retrieves a list of CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}